> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetoinvoice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get client

> Get a client.

<Info>Replace `{your-subdomain}` with your workspace's subdomain. <br /> Learn how to find your subdomain in [Workspace subdomain](/getting-started/workspace-subdomain).</Info>


## OpenAPI

````yaml /bundled/clients.yaml GET /clients/{client_id}
openapi: 3.0.3
info:
  title: NeetoInvoice APIs
  version: 2.0.0
servers:
  - description: NeetoInvoice APIs
    url: https://{your-subdomain}.neetoinvoice.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/getting-started/workspace-subdomain).
security: []
paths:
  /clients/{client_id}:
    get:
      tags:
        - Clients
      summary: Get the details of a client
      description: Get a client.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/client_id_param'
      responses:
        '200':
          description: OK - Request succeeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/client_detail_response'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/getting-started/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
    client_id_param:
      in: path
      name: client_id
      description: >-
        Unique ID of the client for which you want to retrieve or update
        details. Refer to [Getting the Client
        ID](/getting-started/getting-client-id) section for detailed
        instructions.
      required: true
      schema:
        type: string
      example: a8b90a464cad12b48e45
  schemas:
    client_detail_response:
      type: object
      properties:
        client:
          type: object
          properties:
            name:
              type: string
            created_at:
              $ref: '#/components/schemas/date_time_field'
            updated_at:
              $ref: '#/components/schemas/date_time_field'
            identifier:
              type: string
            internal_notes:
              type: string
            currency:
              type: string
            status:
              type: string
              enum:
                - active
                - archived
            logo:
              nullable: true
            id:
              type: string
              format: uuid
            organization_id:
              type: string
              format: uuid
            default_invoice_due_in_days:
              type: integer
            include_hours_by_person_in_invoice:
              type: boolean
            secondary_name:
              type: string
            last_invoice_interval:
              type: string
        recipients:
          type: array
          items:
            $ref: '#/components/schemas/recipient_object'
    date_time_field:
      type: string
      format: date-time
    recipient_object:
      type: object
      properties:
        id:
          type: string
          format: uuid
        creator_id:
          type: string
          format: uuid
        client_id:
          type: string
          format: uuid
        name:
          type: string
        email:
          type: string
          format: email
        deleted:
          type: boolean
        created_at:
          $ref: '#/components/schemas/date_time_field'
        updated_at:
          $ref: '#/components/schemas/date_time_field'

````